Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class CacheConfig

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.CacheConfig

    class CacheConfig

Defines the cache configuration.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`static java.lang.Object` | `INCLUDE_OPTIONS`
`static java.lang.Object` | `USAGE_OPTIONS`
`boolean` | `enabled`
`java.lang.String` | `include`
`java.lang.String` | `usage`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### INCLUDE_OPTIONS

    static final java.lang.Object INCLUDE_OPTIONS

### USAGE_OPTIONS

    static final java.lang.Object USAGE_OPTIONS

### enabled

    boolean enabled

### include

    java.lang.String include

### usage

    java.lang.String usage

Groovy Documentation